[1] MLD-5.x / Development / [5.4] Paket mesa - Download OK - Fehler beim Bauen
 

Offline BobW

  • Profi Member
  • ****
  • Posts: 435
    • View Profile
[5.4] Paket mesa - Download OK - Fehler beim Bauen
« on: December 19, 2019, 13:04:44 »
Hallo,

das Paket mesa hat derzeit noch zwei Probleme:
1. meson fehlt in den Abhängigkeiten
2. Nach Installation von meson passt die Version leider nicht:  (vorhanden 0.37.1, benötigt >= 0.43)

Code: [Select]
.
.
Making all in scanpci
  CC       scanpci.o
  CCLD     scanpci
WARNING: You are using 'ANSI_X3.4-1968' which is not a a Unicode-compatible locale.
WARNING: You might see errors if you use UTF-8 strings as filenames, as strings, or as file contents.
WARNING: Please switch to a UTF-8 locale for your platform.
The Meson build system
Version: 0.37.1
Source dir: /MLD/mesa/src/libdrm
Build dir: /MLD/mesa/src/libdrm/builddir
Build type: native build

Meson encountered an error in file meson.build, line 21, column 0:
Meson version is 0.37.1 but project requires >= 0.43.
Makefile:58: recipe for target 'src/libdrm' failed
make[1]: *** [src/libdrm] Error 1
Your branch is up-to-date with 'origin/master'.
root@0fa6fe3cdcc0:/MLD/mesa#

Davon hängt dann auch xorg-intel ab.

Schöne Grüße
BobW


Offline clausmuus

  • Administrator
  • Expert Member
  • ********
  • Posts: 18029
    • View Profile
    • ClausMuus.de
[5.4] Paket mesa - Download OK - Fehler beim Bauen
« Reply #1 on: December 19, 2019, 15:36:18 »
Ich hab bei mir die 0.49 installiert. Die kommt aus der Debian Quelle:
Code: [Select]
deb http://deb.debian.org/debian stretch-backports mainIst die nicht per Voreinstellung mit dabei?
Wie sieht Deine /etc/apt/sources.list aus?
MLD 5.1 - Raspberry PI - 7" Touch TFT - Squeeze Play
MLD 5.1 - lirc yaUsbIR - OctopusNet - XFX GeForce 9300 mit Intel E3200 - 2GB RAM - 6TB HDD - Lian Li PC-C37B - Samsung LE40A559
MLD 5.4 - OctopusNet - ASRock Q1900M - 2GB RAM 250GB HDD

Offline BobW

  • Profi Member
  • ****
  • Posts: 435
    • View Profile
[5.4] Paket mesa - Download OK - Fehler beim Bauen
« Reply #2 on: December 19, 2019, 18:06:26 »
Nein, die ist nicht per Voreinstellung mit dabei.

Nach dem Eintragen des repos in die sources.list will das System zwar immer noch nicht die höhere Version installieren, aber durch gezielte Eingabe der Version hat schlussendlich doch geklappt. Mit den Policies wollte ich nicht herumspielen, sonst geht noch was schief.

Code: [Select]
apt-get install meson=0.49.0-1~bpo9+1

Jetzt läuft der Compiler.

BobW

Offline BobW

  • Profi Member
  • ****
  • Posts: 435
    • View Profile
[5.4] Paket mesa - Download OK - Fehler beim Bauen
« Reply #3 on: December 19, 2019, 18:17:57 »
Und er ist fertig.

BobW

[1] MLD-5.x / Development / [5.4] Paket mesa - Download OK - Fehler beim Bauen
 



Users Online Users Online

0 Members and 1 Guest are viewing this topic.